<?xml version="1.0" encoding="utf-8" ?>
<ArrayOfAction xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Action xsi:type="UpgradeDatabaseAction" />
  <Action xsi:type="UpgradeConfigurationAction" />

  <Action xsi:type="UpgradeBlobStorageAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" UpgradeTranslations="true" UpgradeTemplates="true" UpgradeConfiguration="true" UpgradePartnerSources="true">
    <Files>    
      <File maxAge="43200">/Base/Bundles/AdminScripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/Scripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/App.js</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.css</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.min.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.min.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.min.css</File>
    </Files>
    <Folders>      
    </Folders>
  </Action>

  <Action xsi:type="UpgradeCustomStylingWithEnabledFilesInsteadOfDisabled" />
  <Action xsi:type="UpgradeCustomScriptsWithEnabledFilesInsteadOfDisabled" />
  
  <!--Should always be as last but before ClearCacheAction-->  
  <Action xsi:type="UpgradeSitecollectionsActionV2" onlyForEnvironments="AZURE,ONPREM,ONPREM2016"/>
  <Action xsi:type="UpgradeSitecollectionsPartnerModulesAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016"/>
  <Action xsi:type="ClearCacheAction" />
</ArrayOfAction>